﻿using SciChart.Charting.Numerics.CoordinateCalculators;
using SciChart.Charting.Visuals.Annotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace SciChart.Examples.Examples.AnnotateAChart
{
    /// <summary>
    /// Interaction logic for ZoneAnnotation.xaml
    /// </summary>
    public partial class ZoneAnnotation : CompositeAnnotation
    {
    

        public ZoneAnnotation()
        {
            InitializeComponent();
            Label = "Zone the first";
            Colour = Brushes.Red;
            ForeColour = Brushes.White;
        }

        public string Label { get; set; }

        public System.Windows.Media.Brush Colour { get; set; }

        public System.Windows.Media.Brush ForeColour { get; set; }

        public override void Update(ICoordinateCalculator<double> xCoordinateCalculator, ICoordinateCalculator<double> yCoordinateCalculator)
        {
      

            base.Update(xCoordinateCalculator, yCoordinateCalculator);

            

            ZoneText.Text =   Label;
            ZoneText.Background = Colour;
            ZoneBox.Background = Colour;
            ZoneText.Foreground  = ForeColour;

        }
    }
}
